org.bdgenomics.adam.rdd.read.recalibration

# AbstractCovariate

#### abstract class AbstractCovariate[ValueT] extends Covariate with Serializable

Linear Supertypes
Serializable, Serializable, Covariate, AnyRef, Any
Known Subclasses
CycleCovariate, DinucCovariate
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AbstractCovariate
2. Serializable
3. Serializable
4. Covariate
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AbstractCovariate()

### Type Members

1. #### type Value = ValueT

   Definition Classes
     AbstractCovariate → Covariate

### Abstract Value Members

1. #### abstract def compute(read: DecadentRead): Seq[Option[Value]]

   Given a read, computes the value of this covariate for each residue in the read.

   Given a read, computes the value of this covariate for each residue in the read.

   The returned values must be in the same order as the residues. A value of None means this covariate does not apply to the corresponding residue.

   Example: The DinucCovariate returns a pair of bases for each residue, except for bases at the start of a read, for which it returns None.

   Definition Classes
     Covariate

2. #### abstract def csvFieldName: String

   Definition Classes
     Covariate

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(read: DecadentRead): Seq[Option[Value]]

   Definition Classes
     Covariate

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toCSV(option: Option[Value]): String

    Definition Classes
      Covariate

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Covariate

### Inherited from AnyRef

### Inherited from Any

### Ungrouped